Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.rulesys
Class RuleDerivation

    java.lang.Object
      com.hp.hpl.jena.reasoner.rulesys.RuleDerivation

All Implemented Interfaces:
  Derivation

    public class RuleDerivation

extends java.lang.Object
implements Derivation

Derivation records are used to determine how an inferred triple was derived from a set of source triples and a reasoner. SubClasses provide more specific information.

Version:
  $Revision: 1.12 $ on $Date: 2008/01/02 12:07:47 $
Author:
  Dave Reynolds

Constructor Summary
`RuleDerivation(Rule rule, Triple conclusion, java.util.List matches, InfGraph infGraph)` Constructor

Method Summary
`boolean` | `equals(java.lang.Object other)` Compare two derivations.
`Triple` | `getConclusion()`
`java.util.List` | `getMatches()`
`Rule` | `getRule()`
`void` | `printTrace(java.io.PrintWriter out, boolean bindings)` Print a deep traceback of this derivation back to axioms and source assertions.
`java.lang.String` | `toString()` Return a short-form description of this derivation.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuleDerivation

    public RuleDerivation(Rule rule,
                          Triple conclusion,
                          java.util.List matches,
                          InfGraph infGraph)

  Constructor

  Parameters:
    `rule` - the rule which created this derivation
    `conclusion` - the triple which the rule created
    `matches` - a list of matching Triples corresponding to the rule body patterns
    `infGraph` - the parent infGraph which was controlling the derivation

Method Detail

### toString

    public java.lang.String toString()

  Return a short-form description of this derivation.

  Specified by:
    `toString` in interface `Derivation`
  Overrides:
    `toString` in class `java.lang.Object`

### printTrace

    public void printTrace(java.io.PrintWriter out,
                           boolean bindings)

  Print a deep traceback of this derivation back to axioms and source assertions.

  Specified by:
    `printTrace` in interface `Derivation`
  Parameters:
    `out` - the stream to print the trace out to
    `bindings` - set to true to print intermediate variable bindings for each stage in the derivation

### getConclusion

    public Triple getConclusion()

  Returns:
    the triple concluded by the derivation

### getMatches

    public java.util.List getMatches()

  Returns:
    the set of triples which were used in firing this rule derivation

### getRule

    public Rule getRule()

  Returns:
    the rule which fired to create this derivation

### equals

    public boolean equals(java.lang.Object other)

  Compare two derivations. This is a shallow comparison, two derivations are the same if they contain the same conclusion, rule and match list. They do not need to be derived from the same (or any) infGraph.

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP